//: ## Die Lücken füllen
//: Das Kombinieren von Strings durch einfaches Hinzufügen funktioniert prima. Du hast aber vielleicht schon bemerkt, dass du daran denken musst, Leerzeichen zwischen den Wörtern einzufügen. Andernfalls kleben die Wörter alle zusammen:
// Leerzeichen zwischen Vor- und Nachname vergessen.
let fullName = "Johnny" + "Appleseed"
//:
//: Stell dir eine App vor, die den Benutzer begrüßt, sobald er in einer neuen Stadt ankommt. Du möchtest, dass der String etwas wie das Folgende sagt:\
//: _Hello Tara, welcome to Paris!_\
//: Du könntest diesen String erstellen, indem du Strings zusammenfügst, aber das wird ein wenig kompliziert:
//:
let firstName = "Tara"
let city = "Paris"
let welcomeString = "Hello " + firstName + ", welcome to " + city + "!"
//:
//: Um komplexere Strings wie diesen zu erstellen, wäre es sinnvoll, einen String zum Füllen von Lücken zu definieren. Etwa so:
//:
//: “Hello _______, welcome to _______!”
//:
//: Swift bietet eine Möglichkeit dafür. Die offizielle Bezeichnung dafür lautet _String-Interpolation_. Das klingt kompliziert und schwierig, funktioniert aber im Wesentlichen einfach wie das Füllen von Lücken.
//:
//: Blättere weiter, um zu sehen, wie das in Swift geht.
//:
//:[Zurück](@previous)  |  Seite 6 von 16  |  [Weiter mit: String-Interpolation](@next)
