//: ## Escape-Sequenzen
//: Die Kombination aus einem _Escape-Zeichen_ und einem Element, das eine besondere Behandlung erfährt, wird _Escape-Sequenz_ genannt. Du hast bereits zwei verschiedene Arten von Escape-Sequenzen gesehen:
// Der umgekehrte Schrägstrich (\) gefolgt von einem Anführungszeichen ist eine Escape-Sequenz.
let favoriteQuotation = "Hamlet sagte: \"Sein oder nicht sein?\""

// Eine andere Escape-Sequenz ist der Platzhalter in einem interpolierten String.
let flavor = "Schokolade"
let iceCreamAnnouncement = "Der Geschmack des Tages ist \(flavor)"
//: Einige Escape-Sequenzen in Swift ermöglichen es dir, unsichtbare Zeichen einzufügen. Eines, das du häufig verwenden wirst, ist das Zeichen für eine neue Zeile, _newline_. Damit beginnst du im Text eine neue Zeile.
//:
//: Die Escape-Sequenz für eine neue Zeile ist der umgekehrte Schrägstrich gefolgt vom Buchstaben "n":
let startOfAPoem = "Rosen sind rot.\nVeilchen sind blau."
//: Im obigen Beispiel siehst du, dass eine neue Zeile an der Stelle beginnt, an der sich `\n` im String befindet.
//: - note:(Hinweis):\
//:Wenn das Ergebnis nicht sichtbar ist, klicke für die Codezeile darüber auf die Taste zum Anzeigen des Ergebnisses.
//:
//: Beachte auch, dass der String in der Ergebnis-Seitenleiste `\n` anzeigt und nicht eine neue Zeile beginnt.\
//: Das liegt daran, dass die Ergebnis-Seitenleiste nur eine Zeile verwenden kann, um Ergebnisse zu zeigen.
//:
//:
//: Blättere für eine Zusammenfassung zur nächsten Seite.
//:
//:[Zurück](@previous)  |  Seite 11 von 16  |  [Weiter mit: Zusammenfassung](@next)
