//: ## Unicode
//:
//: Unicode ist ein internationaler Standard, der nahezu jedes Zeichen aus jeder beliebigen Sprache auf standardisierte Weise darstellen kann.
//:
//: Strings in Swift sind vollständig Unicode-kompatibel; du kannst also Strings erstellen, die Text in verschiedenen Sprachen enthalten:
//:
let englishGreeting = "Hello, World!"

let chineseGreeting = "你好，世界!"

let spanishGreeting = "¡Hola Mundo!"

let russianGreeting = "Привет мир!"

let japaneseGreeting = "こんにちは世界!"
//: Mithilfe von Strings in verschiedenen Sprachen kannst du Apps für Menschen rund um den Globus entwickeln.
//:
//: Natürlich sprechen Programmierer auf der ganzen Welt unterschiedliche Sprachen. In Swift kannst du Unicode in Namen verwenden:
// Konstantenname in Chinesisch, der „Englische Begrüßung“ bedeutet
let 英语问候 = "Hello, World!"

// Konstantenname in Französisch, der „Englische Begrüßung“ bedeutet
let salutationAnglais = "Hello, World!"
//: Emoji-Zeichen sind ebenfalls in Unicode definiert, also kannst du sie in Strings einfügen.\
//: (Drücke auf dem Mac die Tastenkombination Befehl-Ctrl-Leerzeichen, um eine Emoji-Auswahl zu öffnen.)
let welcomingPhrase = "Welcome! 😀"
//: Du kannst Emojis auch in Namen verwenden. Das kann bei sparsamer Verwendung ganz lustig sein, aber viele Programmierer finden es schwierig zu schreiben und zu lesen und auch weniger ausdrucksstark als Wörter, die für Namen verwendet werden.
let 🍓🍏🍒🍐🍋🍇 = "Fruit Salad"
//: Auf der nächsten Seite erfährst du, wie sich Strings kombinieren lassen.
//:
//:[Zurück](@previous)  |  Seite 4 von 16  |  [Weiter mit: Strings kombinieren](@next)
