//: ## Unsere Flucht
//: Du hast viele Strings definiert, indem du Zeichen zwischen Anführungszeichen gesetzt hast. Was aber, wenn ein String ein Anführungszeichen enthalten soll?
//:
//: Du kannst versuchen, einfach Anführungszeichen mitten in einen String einzugeben.
//:
//: Entferne das Kommentarzeichen vor der Codezeile `badString` und beobachte, was geschieht:
//let badString = "Er sagte "Hallo!" im Vorbeigehen."
//: Du erhältst einen Fehler, da Swift glaubt, dass die Stringdefinition beim zweiten Anführungszeichen beendet ist, also direkt vor `Hallo`. Die Interpretation der verbleibenden Zeile ist für Swift unklar.
//:
//: Wenn du genügend ausprobiert hast, kommentiere den Code wieder aus, damit der Fehler verschwindet.
//: ### Die Lösung
//: Um ein Anführungszeichen in einen String einzufügen, muss ihm ein umgekehrter Schrägstrich vorangestellt werden:
let stringWithQuotationMarks = "Er sagte \"Hallo!\" im Vorbeigehen."
//: Der umgekehrte Schrägstrich teilt Swift mit, dass das nachfolgende Zeichen speziell ist. Da das Anführungszeichen auf den umgekehrten Schrägstrich folgt, behandelt Swift es anders. Das Anführungszeichen wird als Teil des Strings betrachtet, nicht als Ende der Stringdefinition.
//:
//:Da der umgekehrte Schrägstrich eine "Flucht" (escape) aus dem normalen Verhalten eines Strings darstellt, wird er _Escape-Zeichen_ genannt.
//:
//: Wirf jetzt einen Blick darauf, was mit dem Escape-Zeichen noch alles möglich ist.
//:
//:[Zurück](@previous)  |  Seite 10 von 16  |  [Weiter mit: Escape-Sequenzen](@next)
